Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] Incus: update run - fixes #48356
@ 2024-01-24 18:20 sbromberger
  2024-01-24 19:00 ` Incus: update to 04.0_1 dkwo
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: sbromberger @ 2024-01-24 18:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1012 bytes --]

There is a new pull request by sbromberger against master on the void-packages repository

https://github.com/sbromberger/void-packages patch-4
https://github.com/void-linux/void-packages/pull/48357

Incus: update run - fixes #48356
Fixes #48356.

<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
#### Local build testing
- I built this PR locally for my native architecture, `Linux elemental 6.6.11_1 #1 SMP PREEMPT_DYNAMIC Sat Jan 13 23:28:15 UTC 2024 x86_64 GNU/Linux`



A patch file from https://github.com/void-linux/void-packages/pull/48357.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-patch-4-48357.patch --]
[-- Type: text/x-diff, Size: 860 bytes --]

From 392fad55cd7f9b6449fe1fc5a14a680c9a17b74a Mon Sep 17 00:00:00 2001
From: Seth Bromberger <sbromberger@users.noreply.github.com>
Date: Wed, 24 Jan 2024 10:18:53 -0800
Subject: [PATCH] Update run

Fixes #48356.
---
 srcpkgs/incus/files/incus/run | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/srcpkgs/incus/files/incus/run b/srcpkgs/incus/files/incus/run
index d189b4395b90f..434018a1f77c7 100644
--- a/srcpkgs/incus/files/incus/run
+++ b/srcpkgs/incus/files/incus/run
@@ -1,4 +1,11 @@
 #!/bin/sh
 exec 2>&1
+_systemd_cgrp="/sys/fs/cgroup/systemd"
+if [ ! -d ${_systemd_cgrp} ]; then
+        mkdir ${_systemd_cgrp}
+fi
+if ! mountpoint -q "${_systemd_cgrp}"; then
+        mount -t cgroup -o none,name=systemd cgroup ${_systemd_cgrp}
+fi
 [ -r conf ] && . ./conf
 exec /usr/libexec/incus/incusd --group _incus-admin --syslog ${OPTS:- --verbose}

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
@ 2024-01-24 19:00 ` dkwo
  2024-01-24 19:01 ` dkwo
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: dkwo @ 2024-01-24 19:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 289 bytes --]

New comment by dkwo on void-packages repository

https://github.com/void-linux/void-packages/pull/48357#issuecomment-1908742662

Comment:
I was explicitly asked to remove that hack, cc @CameronNemo 
Btw, commit msg should be like `incus: update service` and it should also bump revision.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
  2024-01-24 19:00 ` Incus: update to 04.0_1 dkwo
@ 2024-01-24 19:01 ` dkwo
  2024-01-24 19:08 ` sbromberger
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: dkwo @ 2024-01-24 19:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 315 bytes --]

New comment by dkwo on void-packages repository

https://github.com/void-linux/void-packages/pull/48357#issuecomment-1908744081

Comment:
> Remove the cgroup changes. The user can fix the cgroups if necessary, but usually they should be using unified (i.e. cgroup2 only), and this would just be wrong in that case.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
  2024-01-24 19:00 ` Incus: update to 04.0_1 dkwo
  2024-01-24 19:01 ` dkwo
@ 2024-01-24 19:08 ` sbromberger
  2024-01-24 19:34 ` CameronNemo
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: sbromberger @ 2024-01-24 19:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 198 bytes --]

New comment by sbromberger on void-packages repository

https://github.com/void-linux/void-packages/pull/48357#issuecomment-1908754722

Comment:
I think this breaks all systemd-based guests though.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
                   ` (2 preceding siblings ...)
  2024-01-24 19:08 ` sbromberger
@ 2024-01-24 19:34 ` CameronNemo
  2024-01-24 21:15 ` sbromberger
  2024-01-24 21:15 ` [PR PATCH] [Closed]: " sbromberger
  5 siblings, 0 replies; 7+ messages in thread
From: CameronNemo @ 2024-01-24 19:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 456 bytes --]

New comment by CameronNemo on void-packages repository

https://github.com/void-linux/void-packages/pull/48357#issuecomment-1908790119

Comment:
@sbromberger You can put it in your rc.local if it is necessary. It doesn't make much sense to have it in each individual container service. Alternatively I am pretty sure you don't need (and don't want!) this if you are using a pure cgroup2 setup. Just set CGROUP_MODE in rc.conf to unified instead of hybrid.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Closed]: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
                   ` (4 preceding siblings ...)
  2024-01-24 21:15 ` sbromberger
@ 2024-01-24 21:15 ` sbromberger
  5 siblings, 0 replies; 7+ messages in thread
From: sbromberger @ 2024-01-24 21:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 844 bytes --]

There's a closed pull request on the void-packages repository

Incus: update to 04.0_1
https://github.com/void-linux/void-packages/pull/48357

Description:
Fixes #48356.

<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
#### Local build testing
- I built this PR locally for my native architecture, `Linux elemental 6.6.11_1 #1 SMP PREEMPT_DYNAMIC Sat Jan 13 23:28:15 UTC 2024 x86_64 GNU/Linux`



^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Incus: update to 04.0_1
  2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
                   ` (3 preceding siblings ...)
  2024-01-24 19:34 ` CameronNemo
@ 2024-01-24 21:15 ` sbromberger
  2024-01-24 21:15 ` [PR PATCH] [Closed]: " sbromberger
  5 siblings, 0 replies; 7+ messages in thread
From: sbromberger @ 2024-01-24 21:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 279 bytes --]

New comment by sbromberger on void-packages repository

https://github.com/void-linux/void-packages/pull/48357#issuecomment-1908927553

Comment:
@CameronNemo - enabling unified worked (I had hybrid commented out but that apparently didn't do it). Thank you. I'll close this out.

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2024-01-24 21:15 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-01-24 18:20 [PR PATCH] Incus: update run - fixes #48356 sbromberger
2024-01-24 19:00 ` Incus: update to 04.0_1 dkwo
2024-01-24 19:01 ` dkwo
2024-01-24 19:08 ` sbromberger
2024-01-24 19:34 ` CameronNemo
2024-01-24 21:15 ` sbromberger
2024-01-24 21:15 ` [PR PATCH] [Closed]: " sbromberger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).